package nxm.audio.lib;

/** A small class to hold audio file formats
 *
 *  @author Jay Hallam
 *  @since  NeXtMidas 2.1.0
 */
public class AudioFileFormat {

  /** default constructor */
  public AudioFileFormat () {}

  /** An inner class to hold the audio file types
   *  @author Jay Hallam
   *  @since  NeXtMidas 2.1.0
   */
  public static final class Type {
    private static final int I_AIFC = 0;
    private static final int I_AIFF = 0;
    private static final int I_AU = 0;
    private static final int I_SND = 0;
    private static final int I_WAVE = 0;
    private int type_;

    /** The AIFC audio type */
    public static final Type AIFC = new Type(I_AIFC);
    /** The AIFF audio type */
    public static final Type AIFF = new Type(I_AIFF);
    /** The AU audio type */
    public static final Type AU = new Type(I_AU);
    /** The SND audio type */
    public static final Type SND = new Type(I_SND);
    /** The WAVE audio type */
    public static final Type WAVE = new Type(I_WAVE);

    private Type(int type) {
      type_ = type;
    }
  }

}
